summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-26 18:59:54 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-26 18:59:54 +0000
commit91ae7806a7c787337a76f89b074e0c25de56c0af (patch)
treed3031064e00f13113b79195055a73fd38d75a44f /dev-python
parent3d21c093a8caa7a56e02cace114af158e5180a97 (diff)
downloadbaldeagleos-repo-91ae7806a7c787337a76f89b074e0c25de56c0af.tar.gz
baldeagleos-repo-91ae7806a7c787337a76f89b074e0c25de56c0af.tar.xz
baldeagleos-repo-91ae7806a7c787337a76f89b074e0c25de56c0af.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiostream/Manifest1
-rw-r--r--dev-python/aiostream/aiostream-0.7.0.ebuild36
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.38.44.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.38.44.ebuild67
-rw-r--r--dev-python/django-prometheus/Manifest2
-rw-r--r--dev-python/django-prometheus/django-prometheus-2.4.1.ebuild (renamed from dev-python/django-prometheus/django-prometheus-2.3.1.ebuild)8
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.174.0.ebuild51
-rw-r--r--dev-python/grpcio-status/Manifest1
-rw-r--r--dev-python/grpcio-status/grpcio-status-1.73.1.ebuild46
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.135.15.ebuild124
-rw-r--r--dev-python/hypothesis/hypothesis-6.135.16.ebuild124
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild6
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/license-expression/Manifest1
-rw-r--r--dev-python/license-expression/license-expression-30.4.3.ebuild35
-rw-r--r--dev-python/phonenumbers/Manifest1
-rw-r--r--dev-python/phonenumbers/phonenumbers-9.0.8.ebuild39
-rw-r--r--dev-python/pytools/Manifest1
-rw-r--r--dev-python/pytools/pytools-2025.1.7.ebuild32
-rw-r--r--dev-python/resolvelib/Manifest1
-rw-r--r--dev-python/resolvelib/resolvelib-1.2.0.ebuild33
-rw-r--r--dev-python/txaio/Manifest1
-rw-r--r--dev-python/txaio/txaio-23.6.1.ebuild39
-rw-r--r--dev-python/uv-build/Manifest1
-rw-r--r--dev-python/uv-build/uv-build-0.7.15.ebuild99
-rw-r--r--dev-python/uv/Manifest3
-rw-r--r--dev-python/uv/uv-0.7.15.ebuild183
-rw-r--r--dev-python/zope-event/Manifest1
-rw-r--r--dev-python/zope-event/zope-event-5.1.ebuild43
35 files changed, 1036 insertions, 26 deletions
diff --git a/dev-python/aiostream/Manifest b/dev-python/aiostream/Manifest
index 67c45aadcaf9..b1d032c3b649 100644
--- a/dev-python/aiostream/Manifest
+++ b/dev-python/aiostream/Manifest
@@ -1 +1,2 @@
DIST aiostream-0.6.4.gh.tar.gz 46382 BLAKE2B 2ec17e03a8a41deb2473f655fa74b9a9f60c14e2343f09e24c271579b73920584ab509e9a87978345f1adcd3183e5e38d76a9300bd6b411cbb949e5af80a0f7f SHA512 6c26afb017fb4322b2d381fc4c82060d3b5a71c352b275e36b83192464c434c68a060247db740fc2f745a735c3407503932378185cd46c4c56f1286c5bfae62d
+DIST aiostream-0.7.0.gh.tar.gz 46653 BLAKE2B d64b7306129d0047005a9ef981e94c2663caafd8cd3658e906d85b74a0e344671ef6f196790b24b1952d457af33a406bd78eb3a6608db7ce83404950f9e5c09b SHA512 dad58851680ab1d05f234bdd193112403297c82066e8d0fc2fcc7c1520853d7e4f767f6ebc49658d305a7c360603cde3fb7f5938ac03da1daa6e8b31473ffb35
diff --git a/dev-python/aiostream/aiostream-0.7.0.ebuild b/dev-python/aiostream/aiostream-0.7.0.ebuild
new file mode 100644
index 000000000000..11b011492f12
--- /dev/null
+++ b/dev-python/aiostream/aiostream-0.7.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Generator-based operators for asynchronous iteration"
+HOMEPAGE="
+ https://pypi.org/project/aiostream/
+ https://github.com/vxgmichel/aiostream/
+"
+SRC_URI="
+ https://github.com/vxgmichel/aiostream/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov aiostream::' \
+ pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 2e80c78454b1..fb020733306e 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -8,3 +8,4 @@ DIST boto3-1.38.40.gh.tar.gz 958953 BLAKE2B 08c9f5406fecb3251b0c0f7bf6b67a80a1fb
DIST boto3-1.38.41.gh.tar.gz 959656 BLAKE2B cf74e27c26735b9a02be41df7e077aed5e3df61fec3cef38fbf08e6b24bb23030579a92f28a717056a86d67251ce69aae82820c4d8af0d34f4d77076ebc45f1b SHA512 dc3110929ac801348f960c419d555160e315e3724101fc3ec551cb60520703fa77a4dd69744e99b8062402b0d53941aa5a7a006bece5a064de7491fbf2050a37
DIST boto3-1.38.42.gh.tar.gz 959917 BLAKE2B e53b807906bf367b91e4826b6ef1ad7446bde55b4f0b73bb62d7d88a74037c05ec13150a2bbe8c3b4f372452f730bf9d3e36dcef411df8ea87b0c0185aed4201 SHA512 f4eb6aa1c9d8e2062a1e5825b9e2c8ae988f904c30ed0efe1e937ff90e223dc488c3340c0462433da217dce3106c9746577f4add8a8a7e160de63bf0e3cbad93
DIST boto3-1.38.43.gh.tar.gz 961150 BLAKE2B 8e7472e9352cc0071867441586e49c8284d9dcd79a34ef03af5c2a8addbedb1d48c0adbb28937e3de081a1913a79ae9d03bd2e79bc9c98bdad93139458b726a3 SHA512 5d8280720ee9c8767cdf1229893f328154c26bf0e8e87831f54045a23a9e12be0fb315f3771e4f725eb8cbc431f84445beefd43843483beddb9386c051537f4f
+DIST boto3-1.38.44.gh.tar.gz 961732 BLAKE2B 88bea3da8fc2bfe75951898ebb39bb4f41d43217c16260e8922dd7f297aca7749b63c60995f862b4eae253c183a395cf9483d454d280ee273095573967d012ac SHA512 0e8a1fc6f2abdb69751e4eb4e7d2653d144c51c80df071b21c596e81192dcbd650f46b80485a6314ef757960de0846cbdacffbd6e1161d5e1e01a28e2e77fea9
diff --git a/dev-python/boto3/boto3-1.38.44.ebuild b/dev-python/boto3/boto3-1.38.44.ebuild
new file mode 100644
index 000000000000..bd6e26787db4
--- /dev/null
+++ b/dev-python/boto3/boto3-1.38.44.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.13.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index af29bfdd805e..19a2810e9e60 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -8,3 +8,4 @@ DIST botocore-1.38.40.gh.tar.gz 14783063 BLAKE2B 2c5eeb4ea827b21409fe9b21e837e12
DIST botocore-1.38.41.gh.tar.gz 14788068 BLAKE2B 3bc2cfb9e45235b076266a96fd3568753c267ab8a1ff438e21159c3d31cfa9f0c6b057ffda665006adacb69d75282c34f31d14095388ee120274dd60cc4e0f2d SHA512 de75b9799754cfa55fd54716ab088719f96403d2fc9b357751263f8382bb513f0526d9815cbff7c317fbd66508354e6024d622bd09d0bef035939f03f172a575
DIST botocore-1.38.42.gh.tar.gz 14799205 BLAKE2B 9def6b5bda7f2c16610e6b2b3925cb4d6e22940e6b4f11c82969749af81532977a62549b4f480e792d09322695efd6688a819b55d10e6560716eb56bb41915eb SHA512 c7ca063f9edf984b02e93afb8ee569c723d13c8ec70f77a8cc376abd9665260cfd990d6e52f13cb34059aff4e572892d0fd4ab3a3819030d08deaebf986717f2
DIST botocore-1.38.43.gh.tar.gz 14803790 BLAKE2B 7aa15b99588100652e084898316cb8e1e11d43ce83a1dcca7ec86303ac4af7db981dd90c63326c69d7ba80884a51a2ed7a5b05f58ed0a7d873550911cd8b7090 SHA512 02666e9997a8a95b286a71cdb9474e18c7c1e96fd519289f0652f5361c519fd4f25b2d92005f13446f91cb2b7f274d0430d75c9678db5da41353a5c3d740013f
+DIST botocore-1.38.44.gh.tar.gz 14808705 BLAKE2B 0388b0255cff78f625eb34ea30dd90194211056d662bdc16ef19bf26f0683953839996ddebe94b9108e55594c5a951431ee85817a8ed1573deb034ee8f28dbac SHA512 f332db1ff072122d2f79d73d9af7e04b596347bc83788f3f7f339324eeca9e0b7a10c1bf003b4f631628dae7fd5d282054acab7b7f723ee6b0dad03487983d85
diff --git a/dev-python/botocore/botocore-1.38.44.ebuild b/dev-python/botocore/botocore-1.38.44.ebuild
new file mode 100644
index 000000000000..a931fcaefec4
--- /dev/null
+++ b/dev-python/botocore/botocore-1.38.44.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/django-prometheus/Manifest b/dev-python/django-prometheus/Manifest
index 9c96579470e0..baba9f6e7925 100644
--- a/dev-python/django-prometheus/Manifest
+++ b/dev-python/django-prometheus/Manifest
@@ -1,2 +1,2 @@
-DIST django-prometheus-2.3.1.tar.gz 24718 BLAKE2B a20f140736107e1c959fed33ff9a736cbc3266189598924e5d285c44a9fd1f16b7e41ba85829a2526cd49116523e1da3d1f96c9a1d73f84db18557cee3254982 SHA512 523cfa7023e1e8921c687bd010a4c6384e1e4142fb702887d1d0bd60194b5111e92e53fec07df89eaea07cd7aa806edef79ab303a67d866d18eacde257db3c03
DIST django_prometheus-2.4.0.tar.gz 24393 BLAKE2B 5b37af7501332348aa1dd463939a741f0d820b31ab62f34276888fa4d9cc86296b1c6d57e8bd085333561049c19af42e5a56acacd62bdfaf5eeed1940825cca6 SHA512 21fc667045242d34ad8bde8378769f7a48e1ebd15b0de9140c512376f4a0e2b368cf81ab70fe107da2c687dae1dd44efa403a142298c2904c51902ae8a40f33c
+DIST django_prometheus-2.4.1.tar.gz 24464 BLAKE2B b0a94e0a7eb35401d6ba17d3436bdec1bd4ea01f6d54fa6927213e6ff1f66ea259aa2241f9443a68d9427cbc1c377e4979cfe0f8e3736639818be536d37c34c3 SHA512 bfcf5afd1c209db350697000419078ae021f50e187a699922ed2f6b5d1b61b6b845ebd26eba812c0d4aceb31d5a424251d558473dd5739351ef4fd63fde77170
diff --git a/dev-python/django-prometheus/django-prometheus-2.3.1.ebuild b/dev-python/django-prometheus/django-prometheus-2.4.1.ebuild
index f10b2f1efd10..a7263ddd6818 100644
--- a/dev-python/django-prometheus/django-prometheus-2.3.1.ebuild
+++ b/dev-python/django-prometheus/django-prometheus-2.4.1.ebuild
@@ -1,17 +1,16 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( python3_{9,10,11,12,13} )
inherit distutils-r1 pypi
DESCRIPTION="Library to export Django metrics for Prometheus"
HOMEPAGE="
- https://github.com/korfuri/django-prometheus/
+ https://github.com/django-commons/django-prometheus/
https://pypi.org/project/django-prometheus/
"
@@ -20,10 +19,11 @@ SLOT="0"
KEYWORDS="~amd64 ~arm64"
RDEPEND="
- dev-python/django[${PYTHON_USEDEP}]
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
>=dev-python/prometheus-client-0.7[${PYTHON_USEDEP}]
"
+EPYTEST_PLUGINS=()
distutils_enable_tests pytest
python_prepare_all() {
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 8a803c6534fd..16dbc30e185e 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,3 +1,4 @@
DIST google_api_python_client-2.171.0.tar.gz 13028937 BLAKE2B 8fdb02566b59a6ee863613ec707666ddd959a1962fbd679d8e2ffb0dd2ed9e051390302ed54d3631a6518f4cf2157ff092f8dbb17eb95ff771155a3fe45242f0 SHA512 8237e79f3e6be18bcd2aa8e073c5842768861dbd90faabf25e01cda116afebea0e895a951c01f23f81cda26d70db387b622afa024378f5acb7a6d580d7279663
DIST google_api_python_client-2.172.0.tar.gz 13074841 BLAKE2B 18c4904b5b9f48e34f10e71cc3b6a5ab0c9a9fdcd88b126d8fadc107be82a626739dd33496a50c5943c32d3acf14e8c9ae28da382a67525ca48f7a1462cea80d SHA512 b28db1652f648638d2f78b091cc4cddbb629f2600160f83384bf6ff7948667764ec7805bb8da858578faca97c6be0f06724d0be672aedf94994633d81aa9f64c
DIST google_api_python_client-2.173.0.tar.gz 13091318 BLAKE2B c7135d5ef2ce2b029c3d6d779fa82db69768ed70e366301ab692f746b7b76c3807f823a85e47a01cbe68626b20092b6bf5ea53baaeb416e84ec1d4086858267f SHA512 28947b8dd0cda063ebe5f9a722dfaf07f6a3db9030ac40c949b5ba27353699da32ee13862fc8969e7e4cf0f61a6efba11701ef15a460f827ab3e32b3f80d8b97
+DIST google_api_python_client-2.174.0.tar.gz 13127872 BLAKE2B a369b988fc84c27a51d7c9708b00e81196777dbffca4e824f9ba4d65d59f24ae05c57aa3015b5d9d0b0965afefbd57c2d015b4c2e1447157697c036af5509143 SHA512 bf18ecf712c14f2ede60201d332a80bb3014d6ba0c269414f69d24d8f3714929769628ff71bcfb6f9accf23bc942917088431ccdd65b216a6165162dc7815f7e
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.174.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.174.0.ebuild
new file mode 100644
index 000000000000..83f75ed3d688
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.174.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ tests/test_discovery.py::Universe::test_client_options_universe_configured_with_mtls
+ tests/test_discovery.py::Universe::test_universe_env_var_configured_with_mtls
+ )
+
+ epytest tests
+}
diff --git a/dev-python/grpcio-status/Manifest b/dev-python/grpcio-status/Manifest
index 3c1c83accae4..af18b5dab015 100644
--- a/dev-python/grpcio-status/Manifest
+++ b/dev-python/grpcio-status/Manifest
@@ -1,3 +1,4 @@
DIST grpc-1.72.0.gh.tar.gz 14730317 BLAKE2B f4b16fcef3efa086cce043197e0d7bb6dc858074c329c3c993f33a5a65db72d8cf8106bc3d96cf72a12cf3040405e91f1d2fda2ac64b558ed00b18d6aef5821a SHA512 e56c37f6b2370426df63e700d9cf227864812911ae071f1c34626d0c336d6b6b42ca5d7cdc6d5d04744009aca6be8769fe9b0f15992f3aa2112e6166ed326f6a
DIST grpc-1.72.1.gh.tar.gz 14732943 BLAKE2B fe72ef9e39b798bb0858127ebf2c873c1f4a44ad44f0dda1c2250a913496a0d147c2f67b08b51298cd1063463f62f268e49cbe788bddad051b25f95859b79cab SHA512 6351c52bf0116653ab67f5ea7b4ba7b048c3663fc85acf9fb91a17f1c5940346dfe125d3397ca71d8c2de3076a67a1eea1aad0f979d2896d6c486a30ec5ea931
DIST grpc-1.73.0.gh.tar.gz 14873144 BLAKE2B f4abf617cd97dc3a72cee410a09db29965a98e5db2a5bfa88312d643f78a760ffa2cb3dba803c18d79a2bbf24e826b6e2edb772b3e6b3f0c3be49d9f5ce0904d SHA512 697a6fd38f396505ff207ff8f44fc69f4f88134fd53415926bb14860f1ef973e5257d58e9ca19c436ff7190568d36fb336d4a727c0819ac614240a4a75885bef
+DIST grpc-1.73.1.gh.tar.gz 14876868 BLAKE2B 6321e16b4ebee97c8482be8756700de6409bcaf3eac5be0765b021672560fd9d063385fd6c3c03855134dd26157b1183efe38e99acdab72b31e149478b52c4de SHA512 66e66828de7c95d3eb83bcba369f9c73be89044a5a755f99132de1694b08b72ebc848b33c73fdeed816174f1fc44e407be094237fcb4c5bc9732019cb3fae1b5
diff --git a/dev-python/grpcio-status/grpcio-status-1.73.1.ebuild b/dev-python/grpcio-status/grpcio-status-1.73.1.ebuild
new file mode 100644
index 000000000000..c8351188a5ff
--- /dev/null
+++ b/dev-python/grpcio-status/grpcio-status-1.73.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=grpc-${PV}
+DESCRIPTION="Reference package for GRPC Python status proto mapping"
+HOMEPAGE="
+ https://grpc.io/
+ https://github.com/grpc/grpc/
+ https://pypi.org/project/grpcio-status/
+"
+SRC_URI="
+ https://github.com/grpc/grpc/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/src/python/grpcio_status
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/googleapis-common-protos-1.5.5[${PYTHON_USEDEP}]
+ <dev-python/protobuf-7[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-6.30.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ cd "${WORKDIR}/${MY_P}/src/python/grpcio_tests" || die
+ epytest tests{,_aio}/status
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 3fd8a5c62709..c20cc3d460cb 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,5 @@
DIST hypothesis-6.135.1.gh.tar.gz 9569007 BLAKE2B ceebfcbc7ae66c73251a5196f304a1a4e51cd3db27e7815db248ee014bbae7ca921c95a6962174f69c755c715a51b5fc041dbd11a2e0b6f7e2a97c669ae033e0 SHA512 be50f86dee60b5a6c8e8680652e6f76a30d4402e62346e7536a83dec2598cc320e56496e93363e8207f9086061c9e19ab7d4ea684405eb1ebeb3ef5f9dd29ecd
DIST hypothesis-6.135.14.gh.tar.gz 9580007 BLAKE2B deb23f73931fea93e30892a936f0035a6ea405610c42df1be571285dbabc2319c76db0d8b9a28b766da3d621f6ac419b133bd868e4756d43a3791befa5e5ea39 SHA512 269f54cd85d88fa177bd6e81e9d75e23797b208e5b9043f0d80b292545cd40896f4db56b68889336a55e0a5fb0879e8080e89fa498786877b2cf9f1c80775a08
+DIST hypothesis-6.135.15.gh.tar.gz 9580149 BLAKE2B 93d045c5a4f1539d2ad71a108f14211446a8f8f3e1cc9f878cd9af3149a46dd40482e18363927335b71b38b54c181f91afe34996619eea0e9db34a9b32068a1c SHA512 dd757dab38441be0f2555be77b8d8ecc8a3e12fed73a17b4f34d41a3150e602dd797d6b9237f8dd5a3708b84235973d895be4f2a89ab133255b5ed28c3c32e84
+DIST hypothesis-6.135.16.gh.tar.gz 9580500 BLAKE2B de250a17a6929aaef171f85277a695207f7c202790342cc8c23746e58f5be74c9cea3b23d19a6d80d83fedea5c99d228d3f31643505398f3bf63f2828df4cc10 SHA512 176f929d01fc95d9429774e1f073ac7c54fb9d6cb964f571609d755dfa58f2530647bc30c6ac94d3f8247cb0dbfe9e1be96c1d8fa9173947d41dcfd41531c154
DIST hypothesis-6.135.9.gh.tar.gz 9578130 BLAKE2B fc0619685edd2c06d77d95ee0bb7244f62b0b262621e399e3ff7a1ef13a36c80f6d60c8b333011e9387bf04095f40519b072f1b69407e5b0a83c46d2fd7acc40 SHA512 bc69855f5d68bfd68a4915d2085505d815159d5b0757104f7634cdd3db2a2e9c5a7e8c68826864aeb15aae5b16bdb99cbafdab3e443349c3edfa86c964110bce
diff --git a/dev-python/hypothesis/hypothesis-6.135.15.ebuild b/dev-python/hypothesis/hypothesis-6.135.15.ebuild
new file mode 100644
index 000000000000..f6fc81dd010d
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.135.15.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{11..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-rerunfailures )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ python3.13t)
+ EPYTEST_DESELECT+=(
+ # TODO: missing warning
+ 'hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns'
+ )
+ ;;
+ python3.14*)
+ EPYTEST_DESELECT+=(
+ 'hypothesis-python/tests/cover/test_compat.py::test_resolve_fwd_refs[Foo-Union]'
+ 'hypothesis-python/tests/cover/test_lookup.py::test_builds_suggests_from_type[Union]'
+ hypothesis-python/tests/cover/test_attrs_inference.py::test_attrs_inference_builds
+ hypothesis-python/tests/cover/test_lookup.py::test_bytestring_not_treated_as_generic_sequence
+ hypothesis-python/tests/cover/test_lookup.py::test_issue_4194_regression
+ hypothesis-python/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types
+ hypothesis-python/tests/cover/test_lookup.py::test_specialised_collection_types
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_collection_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_container_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_contextmanager_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_iterable_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_reversible_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_sequence_as_generic
+ hypothesis-python/tests/cover/test_random_module.py::test_evil_prng_registration_nonsense
+ hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns
+ hypothesis-python/tests/cover/test_random_module.py::test_register_random_within_nested_function_scope
+ hypothesis-python/tests/cover/test_random_module.py::test_registering_a_Random_is_idempotent
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_dot_access_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_checking_only_forward_ref_wrong_type
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_cheking_only_forward_ref
+ )
+ ;;
+ esac
+
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ epytest -o filterwarnings= --reruns=5 \
+ tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/hypothesis/hypothesis-6.135.16.ebuild b/dev-python/hypothesis/hypothesis-6.135.16.ebuild
new file mode 100644
index 000000000000..f6fc81dd010d
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.135.16.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{11..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-rerunfailures )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ python3.13t)
+ EPYTEST_DESELECT+=(
+ # TODO: missing warning
+ 'hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns'
+ )
+ ;;
+ python3.14*)
+ EPYTEST_DESELECT+=(
+ 'hypothesis-python/tests/cover/test_compat.py::test_resolve_fwd_refs[Foo-Union]'
+ 'hypothesis-python/tests/cover/test_lookup.py::test_builds_suggests_from_type[Union]'
+ hypothesis-python/tests/cover/test_attrs_inference.py::test_attrs_inference_builds
+ hypothesis-python/tests/cover/test_lookup.py::test_bytestring_not_treated_as_generic_sequence
+ hypothesis-python/tests/cover/test_lookup.py::test_issue_4194_regression
+ hypothesis-python/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types
+ hypothesis-python/tests/cover/test_lookup.py::test_specialised_collection_types
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_collection_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_container_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_contextmanager_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_iterable_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_reversible_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_sequence_as_generic
+ hypothesis-python/tests/cover/test_random_module.py::test_evil_prng_registration_nonsense
+ hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns
+ hypothesis-python/tests/cover/test_random_module.py::test_register_random_within_nested_function_scope
+ hypothesis-python/tests/cover/test_random_module.py::test_registering_a_Random_is_idempotent
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_dot_access_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_checking_only_forward_ref_wrong_type
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_cheking_only_forward_ref
+ )
+ ;;
+ esac
+
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ epytest -o filterwarnings= --reruns=5 \
+ tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 99577c43fc3e..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1 pypi
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/license-expression/Manifest b/dev-python/license-expression/Manifest
index 5c684b443eed..3f8de35964b8 100644
--- a/dev-python/license-expression/Manifest
+++ b/dev-python/license-expression/Manifest
@@ -1,2 +1,3 @@
DIST license-expression-30.4.1.gh.tar.gz 172977 BLAKE2B b09352eee9eac0292a0c1ed11381dfa20979ede10f1bddd794617b7cb414233bd872fa76820202ef18286fbbd6beec81c6a6ca0b9588ed40e00e33fb108948ea SHA512 862024b37e304269522b2cb1bca97ca02491bcd7c402c6e1522e0a275f86fe4ae5ec719c9bdb9bec0e883768a7d138883af04f49ffd7ec44f441c7dc1ca3230a
DIST license-expression-30.4.2.gh.tar.gz 179378 BLAKE2B 776d67f2c44f77be1e3e1da29a4005c9a8cbc43d4e575b9dca37b3048316bd0b2c824c57f343d33f16ca69ccb5b66d6ac8a63ce5548276b462770c63cf4e6358 SHA512 bf1ae85a44b711632403688be062cb1886a9a7a4aa2e8ed59fcda4cb802c96d6204560b926cb698051a23d19a5da585c982c8cb0cedde482ccdd7dbb155d01d8
+DIST license-expression-30.4.3.gh.tar.gz 179396 BLAKE2B a1d3b8d0e87a5a4b250cdc68408fdc7087c7d2cd37560bb14ccc7ae34ff27d875c74a3dcea6598f371c4f07a08b19ccd1eba42c00d821d39d34d0e63e75c4e56 SHA512 a6a1762ac90c7f7b487726baa819516553863f5f20ccb7774e9ba22bdc301f1c6ddaea4b2acf3a2a7a782ef183960572c90faead405c80be8eb72bebef67d7f3
diff --git a/dev-python/license-expression/license-expression-30.4.3.ebuild b/dev-python/license-expression/license-expression-30.4.3.ebuild
new file mode 100644
index 000000000000..202a83ced6f8
--- /dev/null
+++ b/dev-python/license-expression/license-expression-30.4.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Parse, compare, simplify and normalize license expressions"
+HOMEPAGE="
+ https://pypi.org/project/license-expression/
+ https://github.com/aboutcode-org/license-expression/
+"
+SRC_URI="
+ https://github.com/aboutcode-org/license-expression/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/boolean-py-4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-4[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index 369af7b36b46..4030e79c2e69 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,2 +1,3 @@
DIST python-phonenumbers-9.0.6.gh.tar.gz 4916579 BLAKE2B 937fcb5b2c51908d3505b0488effcc3353d2851a40deaca028297dbfb4965869cde7ae1c1acd5232b40582983da9affc0a2930b3b2ec98a6764c2bb11c57f87e SHA512 89c6e547f9e41ab937408504e589396992462c223b80263019db339f4336c4e0afac02ea118797fce53739a46aa3244dab09fedbbaee4fe651acf47740c45001
DIST python-phonenumbers-9.0.7.gh.tar.gz 4916884 BLAKE2B 7290928928a94ade292171296f5257a7aa77031c03572bddf10d125353e06d76c64376edcdbf2387f5dd39bdec3a9a3873291c2136dcfa53a0d787b366012213 SHA512 752c46fc81353796e3a99774fa06e93ccd9b230a6025c00984567f92680d9f8fbc6a3ec1364f6bb0cd7a911a5c5d514c566279d5d43ff0b9f443cbad307a838b
+DIST python-phonenumbers-9.0.8.gh.tar.gz 4917342 BLAKE2B 3d721240f59446f3af764e2022d08f0aad46177f7f28072e627485a20930843ed803c54df69c3584197df1f27460d462eaa6cd2feb3c5717a6266f6ced874663 SHA512 8a66403d48de017f5f9f084369d42f4e67a81cc81e3382a68fc97fdbb0fbafbf0ecfaf5baeb26cea9ccf38c0d12dbc6d43d88feacf9cedcb61b688e8cf108f35
diff --git a/dev-python/phonenumbers/phonenumbers-9.0.8.ebuild b/dev-python/phonenumbers/phonenumbers-9.0.8.ebuild
new file mode 100644
index 000000000000..a4046879a533
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-9.0.8.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/pytools/Manifest b/dev-python/pytools/Manifest
index e33bb018b249..0a929a5233b0 100644
--- a/dev-python/pytools/Manifest
+++ b/dev-python/pytools/Manifest
@@ -1 +1,2 @@
DIST pytools-2025.1.6.tar.gz 96212 BLAKE2B f9f538f262158d40aed408d094562cad162a60a330b2bf002b898d473a1085c9f7861c5039770733adb938d67327bfb9d11e130a0385c6f6fc9b79fe732e2927 SHA512 b9602d4a4182fd898a7ff1169cd00c6f886a779655b21b1d42f6fd100cc53df2f3c70fed8a3981a57f63f36122ea224b0f17816eb59e85ed3d625c0ae331de99
+DIST pytools-2025.1.7.tar.gz 82709 BLAKE2B c76c9feb16a2f580c2b456ade3952a744d234fc984726704455c04fa0adac9882adebad9c80c70f1a1423a33a04cac2edf4d88058c106735d017b9a9d7720a14 SHA512 0ec0f7011051fee05668b92a639ffaa289b2ca03f0e20c0b2d2e2461535b971ccedf9b1134f4923e9989c96ee5fcc0b96d46a3354129952b5869c6059d8af904
diff --git a/dev-python/pytools/pytools-2025.1.7.ebuild b/dev-python/pytools/pytools-2025.1.7.ebuild
new file mode 100644
index 000000000000..84c30e41a6c7
--- /dev/null
+++ b/dev-python/pytools/pytools-2025.1.7.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} )
+PYTHON_REQ_USE='sqlite'
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of tools missing from the Python standard library"
+HOMEPAGE="
+ https://mathema.tician.de/software/pytools/
+ https://github.com/inducer/pytools/
+ https://pypi.org/project/pytools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv"
+
+# NB: numpy are an "extra" (optional) deps
+RDEPEND="
+ >=dev-python/numpy-1.6[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/siphash24-1.6[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/resolvelib/Manifest b/dev-python/resolvelib/Manifest
index d2f01646d1bf..4485d5fda354 100644
--- a/dev-python/resolvelib/Manifest
+++ b/dev-python/resolvelib/Manifest
@@ -1,2 +1,3 @@
DIST resolvelib-1.0.1.gh.tar.gz 769608 BLAKE2B 7715f61d262cb79ce08f0431650e6213def4582a0774cf36dab722d88013f7bc9c72a31a957d3782e35b315158982c3311fe3e06e26bbf9040fa96b239934661 SHA512 a35f7fdbc3aba5b44fdf6b9c55b082156ca641dfe5825611be6364622bcaaf45faafa2c45bdd13d1b5723a55732759a806905ab4b6f366fba0474d1f808d91bc
DIST resolvelib-1.1.0.gh.tar.gz 772503 BLAKE2B 6dfda2dc8bc8fc6c5bd53de6f4cd0a44fc39cd53a3a8b01c8a9f135f64ef2ec022248a87d8c8302af4a3c1ea171751de4cba26139a7231bdf143b115f048bfe9 SHA512 d3b2a49c4cd6e6a27bb1eb5a8672a2b4f6daa315b82f0f008a915094a59bd2f38ad64fd83fba4387a50686a3ededb13c24839afd4d45d9766467d7e70f7b863a
+DIST resolvelib-1.2.0.gh.tar.gz 773960 BLAKE2B dd325d305db82fb065286175c822ffd447e8ebe414497b831409789e2e0233384c6a4ea8a027e58e8c7a7ed4e48f512e61708cbeb6906bfc9113104fcb5e38fb SHA512 b4b2af8fa575c03417f8cdc020538c8614c4ef189b498120266ea88ae98e0a0df9cc2ade28b5c4dbdb9f21633652949f51813f252ee3b48866bbc950416678dc
diff --git a/dev-python/resolvelib/resolvelib-1.2.0.ebuild b/dev-python/resolvelib/resolvelib-1.2.0.ebuild
new file mode 100644
index 000000000000..cabbcb6df618
--- /dev/null
+++ b/dev-python/resolvelib/resolvelib-1.2.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Resolve abstract dependencies into concrete ones"
+HOMEPAGE="
+ https://github.com/sarugaku/resolvelib/
+ https://pypi.org/project/resolvelib/
+
+"
+SRC_URI="
+ https://github.com/sarugaku/resolvelib/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/packaging[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/txaio/Manifest b/dev-python/txaio/Manifest
index 459f42edc441..c590da793baa 100644
--- a/dev-python/txaio/Manifest
+++ b/dev-python/txaio/Manifest
@@ -1 +1,2 @@
DIST txaio-23.1.1.tar.gz 53704 BLAKE2B 1c12892c34cc848732d718a715e83059a6be0973cbabe619639c67d230b0d4e55b4e6d1b13baa05b13fe9faa266dadb6f2913bc01491af381fde5ca78ce6941e SHA512 41320501ec3e2555edc63326f2c5ee9bbc2fd103198a515b6dc4c44603a41d633c99a8f12c92ffc85f43546f0382d40f0c9748b13f7a7e70d98c5c4a2de85e2e
+DIST txaio-23.6.1.tar.gz 58613 BLAKE2B e814b33a86132b43a62ea41580b88fa84548951cdb354b213e407f72e3896079b690c94776790a4c63690a2d18c50018340d816295c112cdeb64793b3cbccb39 SHA512 c2312128e01b6978d7c09b29a35adca5a7a45b693737a274c22545120bf2e54ce41ee975bd4422671a5250105196431a179d28af820f30e008acc0ea4a08eede
diff --git a/dev-python/txaio/txaio-23.6.1.ebuild b/dev-python/txaio/txaio-23.6.1.ebuild
new file mode 100644
index 000000000000..d467ca17e1a1
--- /dev/null
+++ b/dev-python/txaio/txaio-23.6.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Compatibility API between asyncio/Twisted/Trollius"
+HOMEPAGE="
+ https://github.com/crossbario/txaio/
+ https://pypi.org/project/txaio/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/test[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # we certainly don't need to test "python setup.py sdist" here
+ test/test_packaging.py
+)
+
+pkg_postinst() {
+ optfeature "Twisted support" "dev-python/twisted dev-python/zope-interface"
+}
diff --git a/dev-python/uv-build/Manifest b/dev-python/uv-build/Manifest
index 60150c0a18d8..11b18a067ec2 100644
--- a/dev-python/uv-build/Manifest
+++ b/dev-python/uv-build/Manifest
@@ -2,5 +2,6 @@ DIST uv_build-0.6.17.tar.gz 300696 BLAKE2B 3f15068232e20b4b70ef319f90a258efc0d38
DIST uv_build-0.7.10.tar.gz 308530 BLAKE2B 01ec0cc519966665129c29e7cfe5522cf070d3377b4172265f7a8dbea441979022875eb091371e868ca6c9ab80c497c85b789b5c81b93c8e004fd8b6e0e05240 SHA512 744e4ac1e5be3579a7a89cdd2b6f0e40a1d681fd51c7dc44bcfbce8c51a61cffa8cdb8006c02526a7bb27ad7cf2b02cf33be7107b36487a89835e81e079ffa54
DIST uv_build-0.7.12.tar.gz 309677 BLAKE2B 8d238e0be4d67e2c38310d47634b60912423bad7106ef11f057f572298b280b0d515dbb9c2fb4205bd9c20c6184d6c9ec14600c8314afdc870dbb6812df35dad SHA512 8dd406e7369d7b8f9a318bbe7c1827588dc302862ae452b5233602fd0461eef52fe8a217b7f92075c19d55277ccb66b76f915ce7c2d58aefe062703e92a27932
DIST uv_build-0.7.13.tar.gz 310547 BLAKE2B 37a07d3aae9e5c1a1d8c187157473ab4c0bc65779751d2848c2d46228cef9ccb1b7e040f3330f3660b163a5fbf84acbd2433371d7d05014e53716297762bfe24 SHA512 44026e1139c95d082871a93d7d456684b07aa0b8f34609aabf1b7a74a81431a6811973e141cdc98c377b65e06b8ed56c6ca2393688132b6813363a00e622a911
+DIST uv_build-0.7.15.tar.gz 309520 BLAKE2B a8d629b77b599f186a9d61052224bd71dc35d7f34fe4a5b668649371e417da6b36b3f8b41bc592ab97c97ad61b7de87a07cca1e2b6f429c5cd8cd4ffd34cc56d SHA512 39dbd2f3735e896dc270e7afb734e47487669719b2a6fd38ad4242542638f60b2ed750978f047dbc6435949fca94fb1126dbef45f1c785e4a4ef0fa0132b28f1
DIST uv_build-0.7.8.tar.gz 305609 BLAKE2B 89d2e7ff95f4375d4fff758463c1cf918c3ec475a1e0de04fcc51b4bd0fefe1aca50ea223b3cc456c5944f0673702ab971374829fb568e4521129acb0a770506 SHA512 bde37f82ae781531e50425ff247219e4e2908c7e46200a65a74e8e2b8b48a0d5cd60476138c160bd1d07aa8c9a581f5da01e79fd7883d018f10617ddba8b8349
DIST uv_build-0.7.9.tar.gz 308177 BLAKE2B 38bd8d4640a239dac740503929c7b31ba591e101e0778cbd5e3c9db6513082f0382bc982affc7cf3a5af3998647ae58ebf870388dc0d67e2ed7fda5764cc9176 SHA512 f316aae21cbf15dc281d79eaa10af1b56efd70d484ae37b831d7216c268e03c6a46c50a212e617e932a6cf0805f2cb114e91caf92afe1c1d994ba06209255e90
diff --git a/dev-python/uv-build/uv-build-0.7.15.ebuild b/dev-python/uv-build/uv-build-0.7.15.ebuild
new file mode 100644
index 000000000000..6156796bc3d2
--- /dev/null
+++ b/dev-python/uv-build/uv-build-0.7.15.ebuild
@@ -0,0 +1,99 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Maturin compiles uv-build executable for every impl, we do not want
+# that, so we use another backend. And since we use another backend,
+# why not dogfood it in the first place?
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PEP517 uv build backend"
+HOMEPAGE="
+ https://github.com/astral-sh/uv/
+ https://pypi.org/project/uv-build/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/uv-${PV}
+"
+BDEPEND="
+ test? (
+ app-arch/unzip
+ dev-python/build[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # use the executable from dev-python/uv instead of building
+ # a largely overlapping uv-build executable (at least for now)
+ sed -i -e '/USE_UV_EXECUTABLE/s:False:True:' python/uv_build/__init__.py || die
+
+ # replace the build-system section
+ sed -i -e '/\[build-system\]/,$d' pyproject.toml || die
+ cat >> pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["uv_build<9999"]
+ build-backend = "uv_build"
+ backend-path = ["src"]
+ EOF
+
+ # rename to make uv-build find it
+ mv python src || die
+}
+
+python_test() {
+ "${EPYTHON}" -m build -n || die "Self-build failed with ${EPYTHON}"
+
+ local zip_result=$(
+ unzip -t "dist/uv_build-${PV}-py3-none-any.whl" || die
+ )
+ local zip_expected="\
+Archive: dist/uv_build-${PV}-py3-none-any.whl
+ testing: uv_build/ OK
+ testing: uv_build/__init__.py OK
+ testing: uv_build/__main__.py OK
+ testing: uv_build/py.typed OK
+ testing: uv_build-${PV}.dist-info/ OK
+ testing: uv_build-${PV}.dist-info/WHEEL OK
+ testing: uv_build-${PV}.dist-info/METADATA OK
+ testing: uv_build-${PV}.dist-info/RECORD OK
+No errors detected in compressed data of dist/uv_build-${PV}-py3-none-any.whl.\
+"
+ if [[ ${zip_result} != ${zip_expected} ]]; then
+ eerror ".zip result:\n${zip_result}"
+ eerror ".zip expected:\n${zip_expected}"
+ die ".whl result mismatch"
+ fi
+
+ local tar_result=$(
+ tar -tf "dist/uv_build-${PV}.tar.gz" || die
+ )
+ local tar_expected="\
+uv_build-${PV}/PKG-INFO
+uv_build-${PV}/
+uv_build-${PV}/README.md
+uv_build-${PV}/pyproject.toml
+uv_build-${PV}/src
+uv_build-${PV}/src/uv_build
+uv_build-${PV}/src/uv_build/__init__.py
+uv_build-${PV}/src/uv_build/__main__.py
+uv_build-${PV}/src/uv_build/py.typed\
+"
+ if [[ ${tar_result} != ${tar_expected} ]]; then
+ eerror ".tar.gz result:\n${tar_result}"
+ eerror ".tar.gz expected:\n${tar_expected}"
+ die ".tar.gz result mismatch"
+ fi
+}
diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index 8372df56fefe..3e07524b1c22 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -1,5 +1,6 @@
DIST pubgrub-06ec5a5f59ffaeb6cf5079c6cb184467da06c9db.gh.tar.gz 99881 BLAKE2B 5fcc2d1a06eb44351773081de4f616c93301eb2fe71b0c6f7b95779ec4bd9bb6cccc702a87a6399b0674711302a19de3a96fa31044660430fd74ff549000ad25 SHA512 3f0b18aecbc73fee91fc7de9f10d240ddc06c836fa2f116c1f007dd7818d099e6aea1852ca0b8d1a26ac19aac896535dba1a6298851a65515b553810c6245784
DIST pubgrub-a3b4db3abb1829ce889fb89fa6d157fef529ef7e.gh.tar.gz 99183 BLAKE2B 9bde0e9332fd461a67319b7b8a187e8e78f5c3c84a32c340f40800ee2499e8c4d3faf41ec66e280198550d9f638998128d1ef4a161f4d43eb6906a013993e146 SHA512 3e434326040445b836bbbb5e3af186a480198cae3d9b3bc78fa1e8c7f78b558ef15de88c6c941d25ada6be80ca7bb5cf1e1c10647b3e991aeb44cb58acccff35
+DIST reqwest-middleware-ad8b9d332d1773fde8b4cd008486de5973e0a3f8.gh.tar.gz 41975 BLAKE2B db42a68b8f0d592edc297462c19a34caa068464b9a5f307e8e1c1fdacde95cd08c5af0f73fa55ed62217dee63940a1d02a4322c5edb2c2c8a568a7e04efd80e6 SHA512 2dad83835c87cdd79e2a08c19b5024b3fdf30d1d8cd14e480e434612e856ecc20a5404881ff81d5793d3e9d5808ee3d59ce920312a86a100535009da43d7d46b
DIST rs-async-zip-c909fda63fcafe4af496a07bfda28a5aae97e58d.gh.tar.gz 51763 BLAKE2B 59d053bc6692014d884a9247dea1b57a8789469ba2abbcc92ec21bb0022cbd74874afc463082156ab697aa6c80635019857a5d7e2dc150274e8b04d720518c36 SHA512 3a309566f4925b02496fcf19bc2865968edf6fb65082ca4079d2cee79e6b0353a1910c079f2afe656da0d0f6ddde5102052a221ea35a7dabc6d690a11218b20a
DIST tl-6e25b2ee2513d75385101a8ff9f591ef51f314ec.gh.tar.gz 37106 BLAKE2B c30d1c33f6f52e2bc83823eb6319f8a3e462b7c7408fb6a08f995747857ef234f81db4135a04f9d183095fe473a4087f8f0cb89d8f87ef4400285d2ce034ec22 SHA512 4abbc4240ed129c92da8d616e27a6df0f24cdc85a0803acfdae588ca91f9e5b8d482e3ac88b2e657ff68917b1b43cef1e7ef3c887f624659b231fa5a13fcae68
DIST uv-0.6.17-crates.tar.xz 58061436 BLAKE2B d86afdb51411ceabb529f7b23dfc10b85eac27b012aca1785a4f9d47c758ef9043ed84ae843c66f55a48ad24b21c2c8c89edad4b6043ac27c82c529db0ee4e28 SHA512 30a7770d2f45db03a618adada46fd1d8a000a940f5750a0c16ec7261c232ee7909d38f4725f82457580e34575342e256bbcc7378e0bec06b69bec17c9c0e69f5
@@ -10,6 +11,8 @@ DIST uv-0.7.12-crates.tar.xz 51866804 BLAKE2B b9e8f122d3ded3bf63d165b8be9066f18a
DIST uv-0.7.12.gh.tar.gz 4041301 BLAKE2B ce4aa6dbb70c1779662d3ec5898f8e06986b4731ff5789adf6e84a6a9335b6ae5b4568bcf4ff8103cad45cd99da0a3a79af80141923d5c3178e9fe60ea37a7e7 SHA512 949281a0c4c5478abb94b53e41bcaab9ea1a9728a2d6ae97c25159fbed32e35a7967d78c923eab5a58ae3b360e780950800e287de15752a87a3765c1cd081216
DIST uv-0.7.13-crates.tar.xz 51866888 BLAKE2B af0c831a5c6f06f4c410e817840da82c1ef47e40ae919c097bfec3144331f7bf88031057e184ab318bc051613cd4708434167cb4eff85501a73b8bf51754c02a SHA512 5b9e6debfcfbeb3128f5d86b7771d0cc466bb06f33961e598c50c92b92885a138660f3ecf22c3ce68248eeb08df9f8cfa40edc80f0a1d3cbbf6810e0e15b6a94
DIST uv-0.7.13.gh.tar.gz 4052607 BLAKE2B 6139335f98d4c0d1c8621eee0bbf992bffdd82a6579a87b230869050123cd9c85c6e65826cdbd293bd3c4f9db6a107a5e3ea5c089953ea3e9be02381a536e7e2 SHA512 5a8b523476071c9da83eafea3a6624e48e7ff60a1a65c551d061af3ed01d852d6dafc5c3feb1458b76c6d64eaa37e038bfe82c5a962c96f87bfe1389ad811674
+DIST uv-0.7.15-crates.tar.xz 58052104 BLAKE2B 95a97abf28acd579fd796c71e664233fae6b05855c27967d679e1681e21e79fa40e16ee08aff1b9ac712abd38c0f1da4487d3102af9147dec631eecedf6fddb4 SHA512 d37b1c91e591a074f99e1dcdbab08833d2c49f30cf190d50fa640a89c2ebb7b21253b2f14eb23afdba6c9d5cf27ef9af921a42085563ec542b548a105721706a
+DIST uv-0.7.15.gh.tar.gz 4098215 BLAKE2B 2e40161395aea361e3f9ae5a3764045c81352b62d806b8a95e9ea280b8f806eea3c8dd46548b75363d6408f282ac3aac5355c4e821355a6dcf6c6f94c9f6add9 SHA512 df23af02a054b276c188c0600706fabdc3fab0171b23c091125d4c6d134a010a3cbf1a6f3dad0bdacfef65f8916bea685023166d9f50b6f7bc7d7d7ad2813de1
DIST uv-0.7.8-crates.tar.xz 45495772 BLAKE2B f8b9587302dfd96ba15b540f0897b9720ea06434d2d2e93e795793df874179ef79e544a07b9e158e890d119fa2d3beee9d0a884a3c78540ec6c8abe2cc902bba SHA512 78586fd9fbe4cd9e0b737609a8b8c438ac422be1dbcde7a8553234981ee4be8136efe50b2c14b6863b6256a337cab977948641bb196e5f718188a66b25f1f5f5
DIST uv-0.7.8.gh.tar.gz 3993156 BLAKE2B a11245cb77ceab214ee021d973515c164048938afb67d878bf282e26f8c1f190187ef7a52af966247298d6a758baa97e36fce0a556c9ac145b3f01c8aea18d56 SHA512 109821612a9a07bf0fdadcc942893a8e024ef828f22f25b5d3f2a10088882892cb84a8b1e37874e7346c9a0815dcd15cb736a2a768ff525c6198482fe7aba3ff
DIST uv-0.7.9-crates.tar.xz 45526908 BLAKE2B 66951afc70feb4719c5af415c0503c6e8daff850227d9773406f6e4c0c9bb960a56573675327b04297437481852cc9236bdf240476cf1c151e52ff4caf170c72 SHA512 6ea0d4e02e28edc47d420c095b426136aeb1e4af2c3181e104f67405b180d6ce51f1db122cc6d49ac876a68711d43aa2fdae5fd710523c03d6d302d41da47e02
diff --git a/dev-python/uv/uv-0.7.15.ebuild b/dev-python/uv/uv-0.7.15.ebuild
new file mode 100644
index 000000000000..14f6f1ae7451
--- /dev/null
+++ b/dev-python/uv/uv-0.7.15.ebuild
@@ -0,0 +1,183 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+ [async_zip]='https://github.com/charliermarsh/rs-async-zip;c909fda63fcafe4af496a07bfda28a5aae97e58d;rs-async-zip-%commit%'
+ [pubgrub]='https://github.com/astral-sh/pubgrub;06ec5a5f59ffaeb6cf5079c6cb184467da06c9db;pubgrub-%commit%'
+ [reqwest-middleware]='https://github.com/astral-sh/reqwest-middleware;ad8b9d332d1773fde8b4cd008486de5973e0a3f8;reqwest-middleware-%commit%/reqwest-middleware'
+ [reqwest-retry]='https://github.com/astral-sh/reqwest-middleware;ad8b9d332d1773fde8b4cd008486de5973e0a3f8;reqwest-middleware-%commit%/reqwest-retry'
+ [tl]='https://github.com/astral-sh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
+ [version-ranges]='https://github.com/astral-sh/pubgrub;06ec5a5f59ffaeb6cf5079c6cb184467da06c9db;pubgrub-%commit%/version-ranges'
+)
+
+RUST_MIN_VER="1.85.0"
+
+inherit cargo check-reqs
+
+CRATE_PV=${PV}
+DESCRIPTION="A Python package installer and resolver, written in Rust"
+HOMEPAGE="
+ https://github.com/astral-sh/uv/
+ https://pypi.org/project/uv/
+"
+# pypi sdist misses scripts/, needed for tests
+SRC_URI="
+ https://github.com/astral-sh/uv/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+ SRC_URI+="
+ https://github.com/gentoo-crate-dist/uv/releases/download/${CRATE_PV}/uv-${CRATE_PV}-crates.tar.xz
+ "
+fi
+
+# most of the code
+LICENSE="|| ( Apache-2.0 MIT )"
+# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
+# Dependent crate licenses
+LICENSE+="
+ 0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD Boost-1.0
+ ISC MIT MPL-2.0 Unicode-3.0 Unicode-DFS-2016 ZLIB
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+DEPEND="
+ app-arch/bzip2:=
+ app-arch/xz-utils:=
+ app-arch/zstd:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ test? (
+ dev-lang/python:3.9
+ dev-lang/python:3.10
+ dev-lang/python:3.11
+ dev-lang/python:3.12
+ dev-lang/python:3.13
+ !!~dev-python/uv-0.5.0
+ )
+"
+
+QA_FLAGS_IGNORED="usr/bin/.*"
+
+check_space() {
+ local CHECKREQS_DISK_BUILD=3G
+ use debug && CHECKREQS_DISK_BUILD=9G
+ check-reqs_pkg_setup
+}
+
+pkg_pretend() {
+ check_space
+}
+
+pkg_setup() {
+ check_space
+ rust_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # replace upstream crate substitution with our crate substitution, sigh
+ local pkg
+ for pkg in reqwest-middleware reqwest-retry; do
+ local dep=$(grep "^${pkg}" "${ECARGO_HOME}"/config.toml || die)
+ sed -i -e "/\[patch\.crates-io\]/,\$s;^${pkg}.*$;${dep};" Cargo.toml || die
+ done
+
+ # force thin lto, makes build much faster and less memory hungry
+ # (i.e. makes it possible to actually build uv on 32-bit PPC)
+ sed -i -e '/lto/s:fat:thin:' Cargo.toml || die
+
+ # enable system libraries where supported
+ export ZSTD_SYS_USE_PKG_CONFIG=1
+ # TODO: unbundle libz-ng-sys, tikv-jemalloc-sys?
+
+ # remove unbundled sources, just in case
+ find "${ECARGO_VENDOR}"/{bzip2,lzma,zstd}-sys-*/ -name '*.c' -delete || die
+
+ # bzip2-sys requires a pkg-config file
+ # https://github.com/alexcrichton/bzip2-rs/issues/104
+ mkdir "${T}/pkg-config" || die
+ export PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
+ cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
+ Name: bzip2
+ Version: 9999
+ Description:
+ Libs: -lbz2
+ EOF
+}
+
+src_configure() {
+ local myfeatures=(
+ git
+ pypi
+ python
+ )
+
+ cargo_src_configure --no-default-features
+}
+
+src_compile() {
+ cd crates/uv || die
+ cargo_src_compile
+}
+
+src_test() {
+ # work around https://github.com/astral-sh/uv/issues/4376
+ local -x PATH=${BROOT}/usr/lib/python-exec/python3.12:${PATH}
+ local -x COLUMNS=100
+ local -x PYTHONDONTWRITEBYTECODE=
+ # fix tests failing because of our config
+ local -x XDG_CONFIG_DIRS=${T}
+
+ cd crates/uv || die
+ cargo_src_test --no-fail-fast
+}
+
+src_install() {
+ cd crates/uv || die
+ cargo_src_install
+
+ insinto /etc/xdg/uv
+ newins - uv.toml <<-EOF || die
+ # These defaults match Fedora, see:
+ # https://src.fedoraproject.org/rpms/uv/pull-request/18
+
+ # By default ("automatic"), uv downloads missing Python versions
+ # automatically and keeps them in the user's home directory.
+ # Disable that to make downloading opt-in, and especially
+ # to avoid unnecessarily fetching custom Python when the distro
+ # package would be preferable. Python builds can still be
+ # downloaded manually via "uv python install".
+ #
+ # https://docs.astral.sh/uv/reference/settings/#python-downloads
+ python-downloads = "manual"
+
+ # By default ("managed"), uv always prefers self-installed
+ # Python versions over the system Python, independently
+ # of versions. Since we generally expect users to use that
+ # to install old Python versions not in ::gentoo anymore,
+ # this effectively means that uv would end up preferring very
+ # old Python versions over the newer ones that are provided
+ # by the system. Default to using the system versions to avoid
+ # this counter-intuitive behavior.
+ #
+ # https://docs.astral.sh/uv/reference/settings/#python-preference
+ python-preference = "system"
+ EOF
+}
diff --git a/dev-python/zope-event/Manifest b/dev-python/zope-event/Manifest
index bcc05eb47556..e0205f33c030 100644
--- a/dev-python/zope-event/Manifest
+++ b/dev-python/zope-event/Manifest
@@ -1 +1,2 @@
DIST zope.event-5.0.tar.gz 17350 BLAKE2B 3dc14b321898e9e3031273ee9d51b6a382c041292abb2cfe8d49a863991fc90484fd6e1fe98b4b37916263e1ebc2a943a98ab1096d0792b057e71100834a9cf6 SHA512 f3807580d948c11c75351d306450714b8cc285c45bed581069608e24fd20b705cff73c349c3fb3dd3f0af70508c5b8895f68bf60f8bf0c7e0a1d676191d5ce10
+DIST zope_event-5.1.tar.gz 18632 BLAKE2B ba365cfa52e0ff5b10593903cee7cb775a55c6eb325e328fdbdf8b89c25ea08738378ac3dc0d1e5667fd0f5e2417a079e26f3604cd0626d2a76f8afb8205ba8d SHA512 50fc9cc36233d6496a056cc74ddcb92330ecebda881ab5d374068d3b68c25e9bb24c881101b290d995000d9b5d661fd9ad675c7183ca594471ac4c270333f478
diff --git a/dev-python/zope-event/zope-event-5.1.ebuild b/dev-python/zope-event/zope-event-5.1.ebuild
new file mode 100644
index 000000000000..9a73692b38e9
--- /dev/null
+++ b/dev-python/zope-event/zope-event-5.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Event publishing / dispatch, used by Zope Component Architecture"
+HOMEPAGE="
+ https://pypi.org/project/zope.event/
+ https://github.com/zopefoundation/zope.event/
+"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !dev-python/namespace-zope
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ distutils_write_namespace zope
+ eunittest
+}